
Name:           ruby-ldap
Version:        0.9.10
Release:        17%{?dist}
Summary:        Ruby LDAP libraries
Group:          Development/Languages
License:        BSD 
URL:            http://rubyforge.org/projects/ruby-ldap   
Source0:        http://rubyforge.org/frs/download.php/68853/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby openldap-devel openssl-devel 
BuildRequires:  ruby-devel
%if 0%{?fedora} >= 19
Requires:       ruby(release)
%else
Requires:       ruby(abi) = 1.9.1 
%endif
Provides:       ruby(ldap) = %{version}-%{release}


%description
Ruby/LDAP is an extension library for Ruby. It provides the interface to
some LDAP libraries (e.g. OpenLDAP, UMich LDAP, Netscape SDK,
ActiveDirectory). The common API for application development
is described in RFC1823 and is supported by Ruby/LDAP.


%prep
%setup -q
find example/ -type f | xargs %{__chmod} 0644


%build
export CFLAGS="$RPM_OPT_FLAGS"
ruby extconf.rb --vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT \
%if 0%{?fedora} >= 19
	ruby_headers= \
%endif
	INSTALL="install -p" \
	install
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc TODO README ChangeLog example FAQ
# For noarch packages: ruby_vendorlibdir
%{ruby_vendorlibdir}/ldap 
# For arch-specific packages: ruby_vendorarchdir
%{ruby_vendorarchdir}/ldap.so


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.9.10-16
- F-19: rebuild for ruby 2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.9.10-13
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 19 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.9.10-1
- new upstream version
- project URL and Source has changed

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.7-10
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.9.7-8
- Fix FTBFS: Added ruby-ldap-0.9.7-openldap.patch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 0.9.7-6
- rebuild with new openssl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.7-5
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-4
- Bump for rebuild because of openldap bump

* Mon Oct 29 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-3
- More modifications from bug 346241

* Sun Oct 28 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-2
- Package modifications from bug 346241

* Mon Oct 22 2007 Michael Stahnke <mastahnke@gmail.com> - 0.9.7-1
- Initial Package for Fedora 
